<!DOCTYPE html>
<html>
  <head>
    <title>Offers</title>
    <link rel='stylesheet' href='/stylesheets/style.css' />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  </head>
  <body style='painting: 0'>
  <h1 style='padding: 30px'><%= title%></h1>
  <div class='banner'>
    <table class='table'>
      <thead>
	<tr>
	  <td>Start Date</td>
	  <td>End Date</td>
	  <td>Offer Percentage</td>
	  <td>Client Segment Id</td>
	  <td>Stores List</td>
	  <td>Promotion Type</td>
	  <td>Products List</td>
	  <td>Minimum Amount</td>
	  <td>Description</td>
	  <td>Clients id</td>
	</tr>
      </thead>
      <tbody>
      <%if (typeof products != "undefined") { %>
        <% for(var i=0;  i < offers.length; i++) %>
          <% Object.keys(offers).forEach(function (key) {%>
	  <tr>
	    <td><p><%= offers[key]['start-date'] %></p></td>
	    <td><p><%= offers[key]['end-date'] %></p></td>
            <td><p><%= offers[key]['offer-percentage'] %></p></td>
	    <td><p><%= offers[key]['offer-amount'] %></p></td>
            <td><p><%= offers[key]['client-segment-id'] %></p></td>
	    <td><p><%= offers[key]['stores-list'] %></p></td>
            <td><p><%= offers[key]['promotion-type'] %></p></td>
	    <td><p><%= offers[key]['products-list'] %></p></td>
            <td><p><%= offers[key]['minimum-amount'] %></p></td>
	    <td><p><%= offers[key]['description'] %></p></td>
	    <td><p><%= offers[key]['clients-id'] %></p></td>

          </tr>
        <%})%>
      <%}%>
      </tbody>
    </table>
  </div>
</body>
</html>
